# registerWallet()

Method Signature

```python
def registerWallet(self, blockchain, publicKey)
```

**Parameters**

| Name         | Type                  | Description              |
| ------------ | --------------------- | ------------------------ |
| `blockchain` | string or hexadecimal | Blockchain address       |
| `publicKey`  | string or hexadecimal | User's wallet public key |

**Example**

<pre class="language-python"><code class="lang-python"><strong>from circular_protocol_api import CircularProtocolAPI
</strong><strong>
</strong><strong>blockhain = 0x8a20baa40c45dc5055aeb26197c203e576ef389d9acb171bd62da11dc5ad72b2
</strong>public_key = 0x04b5aa6be8b2e3420fb5a8b22e80e64ace8271d88dc4c081436956b0848e7bcf4e864b35c59e218885ed3d839352b81f85872c9460732ca05b8c18dad29dbad00e

circular = CircularProtocolAPI()
result = circular.registerWallet(blockchain, public_key)
</code></pre>

**Result**

{% tabs %}
{% tab title="200" %}

```json
{
  "Result": 200,
  "Response": {
    "TxID": "138dd7a19685c71f281d8f5b9d0de15dc7ce7e9433e1715ec6e45e0fade74c82",
    "Timestamp": "2024:09:26-21:57:12"
  },
  "Node": "8a93c6b6f8d166097ddfeb3e5e3a2998b35e0b6f0bd2e31a8a130a11b6749279"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://circular-protocol.gitbook.io/standard-apis/api-docs/python/registerwallet.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
